package com.ozacc.blog.trackback.support.impl;

import javax.servlet.http.HttpServletRequest;

import com.ozacc.blog.trackback.TrackBackPing;
import com.ozacc.blog.trackback.support.CharsetResolver;

/**
 * News Handler用のCharsetResolver。
 * <p>
 * News HandlerはcharsetパラメータをセットせずにEUCでトラックバックを送信するため、
 * 文字コードの判定ができません。(2004年12月26日現在)<br>
 * そのため、urlパラメータに nettribe.org が含まれている場合に文字コードを
 * EUCとみなします。
 * 
 * @since 1.2.3
 * @author Tomohiro Otsuka
 * @version $Id: NewsHandlerCharsetResolver.java 180 2005-07-22 09:26:25Z otsuka $
 */
public class NewsHandlerCharsetResolver implements CharsetResolver {

	/**
	 * @see com.ozacc.blog.trackback.support.CharsetResolver#resolveCharset(com.ozacc.blog.trackback.TrackBackPing, javax.servlet.http.HttpServletRequest)
	 */
	public String resolveCharset(TrackBackPing ping, HttpServletRequest request) {
		if (ping.getUrl().indexOf("nettribe.org") != -1) {
			return "EUC-JP";
		}
		return null;
	}

}