package com.ozacc.blog.feed.impl;

import java.net.URL;

import junit.framework.TestCase;

import com.ozacc.blog.feed.ParseException;
import com.ozacc.blog.feed.impl.FeedAutoDiscoveryImpl;

/**
 * 
 * @author Tomohiro Otsuka
 * @version $Id: FeedAutoDiscoveryImplTest.java 198 2005-08-10 01:43:46Z otsuka $
 */
public class FeedAutoDiscoveryImplTest extends TestCase {

	private FeedAutoDiscoveryImpl autoDiscovery;

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		autoDiscovery = new FeedAutoDiscoveryImpl();
	}

	public final void testDiscoverRSSUrls() throws Exception {
		URL url = new URL("http://spring-ext.sourceforge.jp/blog/");
		URL[] result = autoDiscovery.discoverFeedUrls(url);

		assertEquals(2, result.length);

		URL rssUrl = result[0];
		assertEquals("http://spring-ext.sourceforge.jp/blog/index.rdf", rssUrl.toString());

		rssUrl = result[1];
		assertEquals("http://spring-ext.sourceforge.jp/blog/index.xml", rssUrl.toString());
	}

	public final void testDiscoverRSSUrlsNone() throws Exception {
		URL url = new URL("http://www.google.co.jp/");
		URL[] result = autoDiscovery.discoverFeedUrls(url);

		assertEquals(0, result.length);
	}

	public final void testDiscoverRSSUrlsInvalidUrl() throws Exception {
		URL url = new URL("http://spring-ext.sourceforge.jp/blog/index100.html");
		try {
			autoDiscovery.discoverFeedUrls(url);
			fail("ParseException should have been called.");
		} catch (ParseException expected) {
			// success	
		}
	}

	public final void testDiscoverRSSUrls2() throws Exception {
		URL url = new URL("http://shi3z.exblog.jp/");
		URL[] result = autoDiscovery.discoverFeedUrls(url);

		assertEquals(1, result.length);

		URL rssUrl = result[0];
		System.out.println(rssUrl);
		assertEquals("http://shi3z.exblog.jp/index.xml", rssUrl.toString());
	}

}